split test package activating into another script
diff --git a/.travis.yml b/.travis.yml
index d1338bf..084f38e 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,6 +3,8 @@
   - dev
   - stable
 
+install: ./tool/travis-setup.sh
+
 jobs:
   include:
     - stage: test
diff --git a/tool/travis-setup.sh b/tool/travis-setup.sh
new file mode 100644
index 0000000..f594820
--- /dev/null
+++ b/tool/travis-setup.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# Fast fail the script on failures.
+set -e
+
+# Activate some packages for use while running tests.
+pub global activate tuneup
+pub global activate path 1.6.2
+pub global activate path
+pub global activate --source git https://github.com/dart-lang/test.git
+pub global activate --source path .
\ No newline at end of file
diff --git a/tool/travis.sh b/tool/travis.sh
index 62c4324..8c7ba0f 100755
--- a/tool/travis.sh
+++ b/tool/travis.sh
@@ -4,16 +4,6 @@
 # for details. All rights reserved. Use of this source code is governed by a
 # BSD-style license that can be found in the LICENSE file.
 
-# Fast fail the script on failures.
-set -e
-
-# Activate some packages for use while running tests.
-pub global activate tuneup
-pub global activate path 1.6.2
-pub global activate path
-pub global activate --source git https://github.com/dart-lang/test.git
-pub global activate --source path .
-
 # Verify that the libraries are error free.
 dartanalyzer --fatal-warnings .